#!/usr/bin/env node 
import inquirer from 'inquirer';
let userBalance = 10000;
let myPin = 1234;
let condition = true;
async function main() {
    while (condition) {
        let user = await inquirer.prompt([
            {
                type: "number",
                name: "pin",
                message: "please enter your pin: hint(1234)"
            }
        ]);
        if (Number(user.pin) === myPin) {
            console.log("your password is correct");
            let userOperation = await inquirer.prompt([
                {
                    type: "list",
                    name: "operation",
                    message: "What operation you can do with your account! :",
                    choices: ["withdraw", "currentBalance", "Exit"]
                }
            ]);
            if (userOperation.operation === "withdraw") {
                let userWithdrw = await inquirer.prompt([
                    {
                        type: "list",
                        name: "moneyWithdrw",
                        message: "how much money you want to withdraw from your account :",
                        choices: ["5000", "6000", "3000", "1000"]
                    },
                ]);
                let amountToWithdraw = parseInt(userWithdrw.moneyWithdrw, 10);
                if (amountToWithdraw > userBalance) {
                    console.log("Insufficient balance. Withdraw option disabled.");
                    userBalance = 0;
                }
                else {
                    userBalance -= amountToWithdraw;
                    console.log(`your remaining balance is ${userBalance}`);
                }
            }
            else if (userOperation.operation === "currentBalance") {
                console.log(`your current balance is : ${userBalance}`);
            }
            else if (userOperation.operation === "Exit") {
                condition = false;
            }
        }
        else {
            console.log("your password is incorrect! please try again :");
        }
    }
}
main();
